Bug 177192 - Can't specify iocharset of Internal hard drive partion mount point in hal-0.5.5.1.cvs20060105-2
Can't specify iocharset of Internal hard drive partion mount point in hal-0....
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 23:40 EST by sangu
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 19:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-mount-nautilus-properties (170.37 KB, image/png)
2006-09-28 23:35 EDT, sangu
no flags Details

  None (edit)
Description sangu 2006-01-06 23:40:10 EST
Description of problem:
Can't specify iocharset of removable mount point in hal-0.5.5.1.cvs20060105-2.

so Korean name file and directory is broken( like to ???).

Version-Release number of selected component (if applicable):
0.5.5.1.cvs20060105-2

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

$ cat /etc/mtab
/dev/hda8 / ext3 rw 0 0
none /proc proc rw 0 0
none /sys sysfs rw 0 0
none /dev/pts devpts rw,gid=5,mode=620 0 0
none /dev/shm tmpfs rw 0 0
none /proc/sys/fs/binfmt_misc binfmt_misc rw 0 0
/dev/hda5 /media/disk-1 vfat
rw,noexec,nosuid,nodev,quiet,shortname=winnt,uid=501 0 0
/dev/hda6 /media/disk-2 vfat
rw,noexec,nosuid,nodev,quiet,shortname=winnt,uid=501 0 0
/dev/hdb1 /media/disk-3 vfat
rw,noexec,nosuid,nodev,quiet,shortname=winnt,uid=501 0 0
/dev/hdb5 /media/disk-4 vfat
rw,noexec,nosuid,nodev,quiet,shortname=winnt,uid=501 0 0
/dev/hdb6 /media/disk-5 vfat
rw,noexec,nosuid,nodev,quiet,shortname=winnt,uid=501 0 0
/dev/hdb7 /media/disk-6 vfat
rw,noexec,nosuid,nodev,quiet,shortname=winnt,uid=501 0 0
/dev/hdb8 /media/disk-7 vfat
rw,noexec,nosuid,nodev,quiet,shortname=winnt,uid=501 0 0
/dev/hdb9 /media/disk-8 vfat
rw,noexec,nosuid,nodev,quiet,shortname=winnt,uid=501 0 0

]$ cat /etc/tab
cat: /etc/tab: 그런 파일이나 디렉토리가 없음
[sangu@sangu etc]$ cat /etc/fstab
# This file is edited by fstab-sync - see 'man fstab-sync' for details
LABEL=/                 /                       ext3    defaults        1 1
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /sys                    sysfs   defaults        0 0
/dev/hda7               swap                    swap    defaults        0 0
/dev/hdb9               /media/idedisk          vfat    noauto,user,exec,utf8 0 0
/dev/hdb8               /media/idedisk1         vfat    noauto,user,exec,utf8 0 0
/dev/hdb7               /media/idedisk2         vfat    noauto,user,exec,utf8 0 0
/dev/hdb6               /media/idedisk3         vfat    noauto,user,exec,utf8 0 0
/dev/hdb5               /media/idedisk4         vfat    noauto,user,exec,utf8 0 0
/dev/hdb1               /media/idedisk5         vfat    noauto,user,exec,utf8 0 0
/dev/hda6               /media/idedisk6         vfat    noauto,user,exec,utf8 0 0
/dev/hda5               /media/idedisk7         vfat    noauto,user,exec,utf8 0 0
#/dev/hda1               /media/idedisk8         ntfs    noauto,user,exec,utf8 0 0
/dev/hdd                /media/cdrom            auto   
pamconsole,exec,noauto,managed 0 0
/dev/hdc                /media/cdrecorder       auto   
pamconsole,exec,noauto,managed 0 0

$ cat /etc/blkid.tab
<device DEVNO="0x0301" TIME="1087468899" TYPE="ntfs">/dev/hda1</device>
<device DEVNO="0x0305" TIME="1087468899" UUID="3027-139C"
TYPE="vfat">/dev/hda5</device>
<device DEVNO="0x0306" TIME="1087468899" UUID="E83B-EA5E"
TYPE="vfat">/dev/hda6</device>
<device DEVNO="0x0307" TIME="1136596422" TYPE="swap">/dev/hda7</device>
<device DEVNO="0x0308" TIME="1136596421" LABEL="/"
UUID="9d22b39b-65a5-446f-b26c-ce1e4f6ee401" SEC_TYPE="ext2"
TYPE="ext3">/dev/hda8</device>
<device DEVNO="0x0341" TIME="1087468899" UUID="2F53-1F08"
TYPE="vfat">/dev/hdb1</device>
<device DEVNO="0x0345" TIME="1087468899" UUID="277B-15D2"
TYPE="vfat">/dev/hdb5</device>
<device DEVNO="0x0346" TIME="1087468899" UUID="180A-401A"
TYPE="vfat">/dev/hdb6</device>
<device DEVNO="0x0347" TIME="1087468899" UUID="18D2-1949"
TYPE="vfat">/dev/hdb7</device>
<device DEVNO="0x0348" TIME="1087468899" UUID="18E0-3464"
TYPE="vfat">/dev/hdb8</device>
<device DEVNO="0x0349" TIME="1087468899" UUID="1502-211C"
TYPE="vfat">/dev/hdb9</device>
Comment 1 David Zeuthen 2006-09-28 19:39:42 EDT
This should be fixed in Rawhide with hal-0.5.8.1 and gnome-mount-0.5 (use
package gnome-mount-nautilus-extension and right click in Nautilus to change
mount options). If it doesn't work please reopen.
Comment 2 sangu 2006-09-28 23:35:08 EDT
Created attachment 137360 [details]
gnome-mount-nautilus-properties

Hi, David Zeuthen.

Internal local partions (like fat32) don't have drive tab on properties.
But removable media(Like CD/DVD ROM) has drive tab on properties.

$ cat /etc/blkid/blkid.tab
<device DEVNO="0x0801" TIME="1153530921" TYPE="ntfs">/dev/sda1</device>
<device DEVNO="0x0805" TIME="1153530921" UUID="6C2A-CD2D"
TYPE="vfat">/dev/sda5</device>
<device DEVNO="0x0806" TIME="1153530921" UUID="20C1-A3E1"
TYPE="vfat">/dev/sda6</device>
<device DEVNO="0x0807" TIME="1153530921" UUID="1C49-4FD3"
TYPE="vfat">/dev/sda7</device>
<device DEVNO="0x0808" TIME="1159493943" TYPE="swap" LABEL="SWAP-sda8"
UUID="eb75ebcd-c2af-465d-bb80-852a18804639">/dev/sda8</device>
<device DEVNO="0x0809" TIME="1159493942" LABEL="/"
UUID="7fb39964-2a89-4978-87a5-deca9f9b732b" SEC_TYPE="ext2"
TYPE="ext3">/dev/sda9</device>
<device DEVNO="0x1600" TIME="1141048877" TYPE="iso9660">/dev/hdc</device>

$ cat /etc/fstab
LABEL=/ 	       /		       ext3    defaults        1 1
/dev/devpts		/dev/pts		devpts	gid=5,mode=620	0 0
/dev/shm		/dev/shm		tmpfs	defaults	0 0
/dev/proc		/proc			proc	defaults	0 0
/dev/sys		/sys			sysfs	defaults	0 0
LABEL=SWAP-sda8 	swap			swap	defaults	0 0
/dev/sda5		/media/disk-1		vfat	noauto,user,exec,utf8 0
0
/dev/sda6		/media/disk-2		vfat	noauto,user,exec,utf8 0
0
/dev/sda7		/media/disk-3		vfat	noauto,user,exec,utf8 0
0
Comment 3 David Zeuthen 2006-09-28 23:39:37 EDT
When you mount the volume, a "Volume" tab will appear. Use that one.
Comment 4 sangu 2006-09-28 23:52:52 EDT
The right disk 1 is mounted partion in screenshot ( attachment 137360 [details]  ).
"Volume tab" doesn't appear current. 
Comment 5 David Zeuthen 2006-09-29 00:14:55 EDT
Ah.. right.. internal hard drive.. does this work on external drives like a usb
thumb drive?

Note You need to log in before you can comment on or make changes to this bug.